EventListIconPackage (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.event
Class EventListIconPackage

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.gui.event.EventListIconPackage

All Implemented Interfaces:
  LightMapHandlerChild, PropertyConsumer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class EventListIconPackage

extends OMComponent

Field Summary
`protected int` | `buttonSize`
`static java.lang.String` | `ButtonSizeProperty`
`protected javax.swing.ImageIcon` | `clockImage`
`protected javax.swing.ImageIcon` | `invisibleImage`
`protected boolean` | `showPlayFilter`
`static java.lang.String` | `ShowPlayFilterProperty`
`protected boolean` | `showRatings`
`static java.lang.String` | `ShowRatingsProperty`
`protected javax.swing.ImageIcon` | `thumbsDownImage`
`protected javax.swing.ImageIcon` | `thumbsUpImage`
`protected javax.swing.ImageIcon` | `xImage`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`EventListIconPackage()`
`EventListIconPackage(int buttonSize)`

Method Summary
`protected javax.swing.JPanel` | `createEventControlPanel(EventListPresenter elp)` Should only be called with a reference to a dedicated EventListPresenter for this IconPackage.
`int` | `getButtonSize()`
`java.util.Properties` | `getProperties(java.util.Properties props)` PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent.
`java.util.Properties` | `getPropertyInfo(java.util.Properties props)` Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer.
`protected void` | `initIcons()`
`boolean` | `isShowPlayFilter()`
`boolean` | `isShowRatings()`
`void` | `setButtonSize(int buttonSize)`
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the OMComponent.
`void` | `setShowPlayFilter(boolean showPlayFilter)`
`void` | `setShowRatings(boolean showRatings)`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buttonSize

    protected int buttonSize

### xImage

    protected javax.swing.ImageIcon xImage

### clockImage

    protected javax.swing.ImageIcon clockImage

### thumbsUpImage

    protected javax.swing.ImageIcon thumbsUpImage

### thumbsDownImage

    protected javax.swing.ImageIcon thumbsDownImage

### invisibleImage

    protected javax.swing.ImageIcon invisibleImage

### ShowRatingsProperty

    public static final java.lang.String ShowRatingsProperty

See Also:
  Constant Field Values

### ShowPlayFilterProperty

    public static final java.lang.String ShowPlayFilterProperty

See Also:
  Constant Field Values

### ButtonSizeProperty

    public static final java.lang.String ButtonSizeProperty

See Also:
  Constant Field Values

### showRatings

    protected boolean showRatings

### showPlayFilter

    protected boolean showPlayFilter

Constructor Detail

### EventListIconPackage

    public EventListIconPackage()

### EventListIconPackage

    public EventListIconPackage(int buttonSize)

Method Detail

### getButtonSize

    public int getButtonSize()

### setButtonSize

    public void setButtonSize(int buttonSize)

### isShowRatings

    public boolean isShowRatings()

### setShowRatings

    public void setShowRatings(boolean showRatings)

### isShowPlayFilter

    public boolean isShowPlayFilter()

### setShowPlayFilter

    public void setShowPlayFilter(boolean showPlayFilter)

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMComponent`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `OMComponent`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  Description copied from class: `OMComponent`
  PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent. If the component has a propertyPrefix set, the property keys should have that prefix plus a separating '.' prepended to each property key it uses for configuration.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `OMComponent`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    public java.util.Properties getPropertyInfo(java.util.Properties props)

  Description copied from class: `OMComponent`
  Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer. The key for each property should be the raw property name (without a prefix) with a value that is a String that describes what the property key represents, along with any other information about the property that would be helpful (range, default value, etc.). For Layer, this method should at least return the 'prettyName' property.

  Specified by:
    `getPropertyInfo` in interface `PropertyConsumer`
  Overrides:
    `getPropertyInfo` in class `OMComponent`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### initIcons

    protected void initIcons()

### createEventControlPanel

    protected javax.swing.JPanel createEventControlPanel(EventListPresenter elp)

  Should only be called with a reference to a dedicated EventListPresenter for this IconPackage.

  Parameters:
    `elp` - EventListPresenter supplying events
  Returns:
    JPanel that contains components for controlling events.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details